#include <ros.h>
#include <std_msgs/Float32.h>

int sensorPin = A0;
int sensorPin2 = A1;
float tension;
// select the input pin for the potentiometer
float sensorValue = 0;  // variable to store the value coming from the sensor
float sensorValue2 = 0;
float pressureWater = 0;
float pressureTotal = 0;
float profondeur = 0;

ros::NodeHandle nh;
std_msgs::Float32 str_msg;
ros::Publisher chatter("depth", &str_msg);

void setup() {
  nh.initNode();
  nh.advertise(chatter);
  
  Serial.begin(9600);
}

void loop() {
  sensorValue = analogRead(sensorPin);
  sensorValue -= 128;
  pressureWater = sensorValue * (50000/1023);
  pressureTotal = pressureWater + 101325;
  profondeur = pressureWater/10000;
  
  Serial.print("Valeur analogique 1 :");
  Serial.println(sensorValue);

  Serial.print("Pression :"); 
  Serial.print(pressureTotal); 
  Serial.println("Pa");
  
  Serial.print("Profondeur :"); 
  Serial.print(profondeur); 
  Serial.println("m");

  str_msg.data = profondeur;
  chatter.publish( &str_msg );
  nh.spinOnce();
    
  delay(2000);
}
